import type { FC, ReactNode } from "react";

interface ComponentProps {
  children: ReactNode;
  className?: string;
}

export const Card: FC<ComponentProps> = ({ children, className }) => {
  return (
    <div className={`bg-white sm:rounded-lg shadow-md ${className || ""}`}>
      {children}
    </div>
  );
};

export function CardContent({ children, className }: ComponentProps) {
  return <div className={`p-4 ${className || ""}`}>{children}</div>;
}
